
const int Tilt = 7;    // costante pin ingresso
int val;               // variabile valore attuale
int prev = HIGH;       // valore precedente

unsigned long delta = 0;  // tempo delta tra cambi stato
unsigned long zonaM = 50; // zona morta in ms; 

void setup() {
  pinMode(Tilt, INPUT);
  Serial.begin(9600);
}

void loop() 
{ val = digitalRead(Tilt); // legge il valore

 // se è diverso dal precedente aggiorna il tempo delta
  if (val != prev) {delta = millis();}
  
 // se è > della zona morta cambia stato
  if ((millis() - delta) > zonaM) {Serial.print(val);}
 // resetta la variabile ad ogni giro
   prev = val; 
   delay(50); // downsampling
  }
